Ring Platform Logo

    Loading Documentation Hub...

    Scanning documentation library

    Documentation

    Welcome — mission & audiences

    Welcome to Ring Platform - Gateway Between Humanity and the Quantum World

    Library hub

    Welcome to Ring Platform - Gateway Between Humanity and the Quantum World

    Getting Started

    Index
    Prerequisites
    Installation
    Database migrations
    First Success Validation
    Troubleshooting
    Next Steps

    Architecture

    Index
    Backend modes and databases
    Data Model
    Authentication Architecture
    Email AI-CRM Architecture
    PaymentConductor architecture
    Refcodes architecture
    News Kingdom architecture
    Proxy and internationalization
    Real Time
    Security

    Features

    Platform Features
    Authentication
    Email AI-CRM System
    Entities
    Opportunities
    Notifications
    Push Notifications with FCM (Ring-Powered)
    Web3 Wallet
    Multi-Vendor Store
    Ring ERP
    Inventory & Stock
    Vendor Management

    API

    Index
    Authentication
    Email AI-CRM API
    Entities
    Opportunities
    Messaging API
    Notifications API
    Wallet
    Store API

    CLI

    Ring CLI (enterprise only)

    Customization

    Index
    Branding
    Features
    Localization
    Themes
    Components

    Deployment

    Index
    Self-hosted deployment
    Vercel
    Docker
    Environment Configuration
    Monitoring & Analytics
    Performance Optimization
    Backup & Recovery

    Development

    Index
    Local Setup
    Code Structure
    Community tooling
    Ring MCP Server
    Generative Images (ImageConductor)
    Autonomous Newsroom (Grok)
    OSS vs enterprise

    Roadmap

    Platform Roadmap (Technical)

    Examples

    Index
    Quick Start
    Authentication
    Email AI-CRM Tutorial
    Api Integration
    Web3 Integration
    White Label
    Real World

    Integrations

    Ethereum wallets (Wagmi v3)

    Quick entry (CTOs · auditors · agents)

    Library hub
    Welcome — mission & audiences
    Getting started
    Architecture & Auth.js
    Backend modes & databases (DB_BACKEND_MODE)
    Self-hosted
    Ring MCP
    Deploy (Docker · k8s)
    Security & compliance reads
    Ring Platform Logo

    Loading Documentation Hub...

    Scanning documentation library

    Documentation

    Welcome — mission & audiences

    Welcome to Ring Platform - Gateway Between Humanity and the Quantum World

    Library hub

    Welcome to Ring Platform - Gateway Between Humanity and the Quantum World

    Getting Started

    Index
    Prerequisites
    Installation
    Database migrations
    First Success Validation
    Troubleshooting
    Next Steps

    Architecture

    Index
    Backend modes and databases
    Data Model
    Authentication Architecture
    Email AI-CRM Architecture
    PaymentConductor architecture
    Refcodes architecture
    News Kingdom architecture

    Features

    Platform Features
    Authentication
    Email AI-CRM System
    Entities
    Opportunities
    Notifications
    Push Notifications with FCM (Ring-Powered)
    Web3 Wallet

    API

    Index
    Authentication
    Email AI-CRM API
    Entities
    Opportunities
    Messaging API
    Notifications API
    Wallet
    Store API

    CLI

    Ring CLI (enterprise only)

    Customization

    Index
    Branding
    Features
    Localization
    Themes
    Components

    Deployment

    Index
    Self-hosted deployment
    Vercel
    Docker
    Environment Configuration
    Monitoring & Analytics
    Performance Optimization
    Backup & Recovery

    Development

    Index
    Local Setup
    Code Structure
    Community tooling
    Ring MCP Server
    Generative Images (ImageConductor)
    Autonomous Newsroom (Grok)
    OSS vs enterprise

    Roadmap

    Platform Roadmap (Technical)

    Examples

    Index
    Quick Start
    Authentication
    Email AI-CRM Tutorial
    Api Integration
    Web3 Integration
    White Label
    Real World

    Integrations

    Ethereum wallets (Wagmi v3)

    Quick entry (CTOs · auditors · agents)

    Library hub
    Welcome — mission & audiences
    Getting started
    Architecture & Auth.js
    Backend modes & databases (DB_BACKEND_MODE)
    Self-hosted
    Ring MCP
    Deploy (Docker · k8s)
    Security & compliance reads
    Ring Platform Logo

    Loading Documentation Hub...

    Scanning documentation library

    Documentation

    Welcome — mission & audiences

    Welcome to Ring Platform - Gateway Between Humanity and the Quantum World

    Library hub

    Welcome to Ring Platform - Gateway Between Humanity and the Quantum World

    Getting Started

    Index
    Prerequisites
    Installation
    Database migrations
    First Success Validation
    Troubleshooting
    Next Steps

    Architecture

    Index
    Backend modes and databases
    Data Model
    Authentication Architecture
    Email AI-CRM Architecture
    PaymentConductor architecture
    Refcodes architecture
    News Kingdom architecture

    Features

    Platform Features
    Authentication
    Email AI-CRM System
    Entities
    Opportunities
    Notifications
    Push Notifications with FCM (Ring-Powered)
    Web3 Wallet

    API

    Index
    Authentication
    Email AI-CRM API
    Entities
    Opportunities
    Messaging API
    Notifications API
    Wallet
    Store API

    CLI

    Ring CLI (enterprise only)

    Customization

    Index
    Branding
    Features
    Localization
    Themes
    Components

    Deployment

    Index
    Self-hosted deployment
    Vercel
    Docker
    Environment Configuration
    Monitoring & Analytics
    Performance Optimization
    Backup & Recovery

    Development

    Index
    Local Setup
    Code Structure
    Community tooling
    Ring MCP Server
    Generative Images (ImageConductor)
    Autonomous Newsroom (Grok)
    OSS vs enterprise

    Roadmap

    Platform Roadmap (Technical)

    Examples

    Index
    Quick Start
    Authentication
    Email AI-CRM Tutorial
    Api Integration
    Web3 Integration
    White Label
    Real World

    Integrations

    Ethereum wallets (Wagmi v3)

    Quick entry (CTOs · auditors · agents)

    Library hub
    Welcome — mission & audiences
    Getting started
    Architecture & Auth.js
    Backend modes & databases (DB_BACKEND_MODE)
    Self-hosted
    Ring MCP
    Deploy (Docker · k8s)
    Security & compliance reads

    Authentication API

    The Ring Platform uses Auth.js v5 for comprehensive authentication with multiple providers including OAuth, magic links, and crypto wallets.

    Overview

    3 endpoints for authentication management:

    • User authentication and session management
    • Multi-provider OAuth integration
    • Crypto wallet authentication

    Authentication Flow

    Supported Providers

    OAuth Providers

    • Google - Primary OAuth provider
    • Apple - iOS/macOS integration
    • MetaMask - Crypto wallet authentication

    Magic Links

    • Email-based - Passwordless authentication
    • Secure tokens - Time-limited access
    • GDPR compliant - Privacy-first approach

    API Endpoints

    POST /api/auth/signin

    Initiate authentication with specified provider

    POST /api/auth/signout

    Sign out user and invalidate session

    GET /api/auth/session

    Get current user session information

    Implementation Examples

    Server-Side Authentication

    Client-Side Authentication

    Role-Based Access Control

    Role Hierarchy

    Ring Platform uses a hierarchical role system:

    1. VISITOR - Public access only
    2. SUBSCRIBER - Basic platform access
    3. MEMBER - Full platform features
    4. CONFIDENTIAL - Access to confidential entities
    5. ADMIN - Platform administration

    Security Features

    • JWT Tokens with automatic refresh
    • CSRF Protection built-in
    • Rate Limiting on auth endpoints
    • Secure Cookies with httpOnly flag
    • GDPR Compliance with data deletion

    Need help with authentication? Check our Getting Started guide or join our Discord.

    Authentication API

    The Ring Platform uses Auth.js v5 for comprehensive authentication with multiple providers including OAuth, magic links, and crypto wallets.

    Overview

    3 endpoints for authentication management:

    • User authentication and session management
    • Multi-provider OAuth integration
    • Crypto wallet authentication

    Authentication Flow

    Supported Providers

    OAuth Providers

    • Google - Primary OAuth provider
    • Apple - iOS/macOS integration
    • MetaMask - Crypto wallet authentication

    Magic Links

    • Email-based - Passwordless authentication
    • Secure tokens - Time-limited access
    • GDPR compliant - Privacy-first approach

    API Endpoints

    POST /api/auth/signin

    Initiate authentication with specified provider

    POST /api/auth/signout

    Sign out user and invalidate session

    GET /api/auth/session

    Get current user session information

    Implementation Examples

    Server-Side Authentication

    Client-Side Authentication

    Role-Based Access Control

    Role Hierarchy

    Ring Platform uses a hierarchical role system:

    1. VISITOR - Public access only
    2. SUBSCRIBER - Basic platform access
    3. MEMBER - Full platform features
    4. CONFIDENTIAL - Access to confidential entities
    5. ADMIN - Platform administration

    Security Features

    • JWT Tokens with automatic refresh
    • CSRF Protection built-in
    • Rate Limiting on auth endpoints
    • Secure Cookies with httpOnly flag
    • GDPR Compliance with data deletion

    Need help with authentication? Check our Getting Started guide or join our Discord.

    Authentication API

    The Ring Platform uses Auth.js v5 for comprehensive authentication with multiple providers including OAuth, magic links, and crypto wallets.

    Overview

    3 endpoints for authentication management:

    • User authentication and session management
    • Multi-provider OAuth integration
    • Crypto wallet authentication

    Authentication Flow

    Supported Providers

    OAuth Providers

    • Google - Primary OAuth provider
    • Apple - iOS/macOS integration
    • MetaMask - Crypto wallet authentication

    Magic Links

    • Email-based - Passwordless authentication
    • Secure tokens - Time-limited access
    • GDPR compliant - Privacy-first approach

    API Endpoints

    POST /api/auth/signin

    Initiate authentication with specified provider

    POST /api/auth/signout

    Sign out user and invalidate session

    GET /api/auth/session

    Get current user session information

    Implementation Examples

    Server-Side Authentication

    Client-Side Authentication

    Role-Based Access Control

    Role Hierarchy

    Ring Platform uses a hierarchical role system:

    1. VISITOR - Public access only
    2. SUBSCRIBER - Basic platform access
    3. MEMBER - Full platform features
    4. CONFIDENTIAL - Access to confidential entities
    5. ADMIN - Platform administration

    Security Features

    • JWT Tokens with automatic refresh
    • CSRF Protection built-in
    • Rate Limiting on auth endpoints
    • Secure Cookies with httpOnly flag
    • GDPR Compliance with data deletion

    Need help with authentication? Check our Getting Started guide or join our Discord.

    Commissions & Settlements
    Referral Codes (Refcodes)
    Payment Integration
    PaymentConductor
    WayForPay Payment Integration
    News Module - Digital Newspaper Experience
    Member Blogs
    Scientific Editor
    Locale System
    Security & Compliance
    NFT Marketplace
    Token Staking System
    Performance Optimization Patterns
    Mobile Experience
    Admin API
    Whitelabel Navigation
    Best Practices
    Workflow
    Code Style
    Performance
    Testing
    Deployment
    Debugging
    Contributing
    Api Examples
    ringdom.org — LegioX homebase
    Source — MIT license (GitHub)
    Proxy and internationalization
    Real Time
    Security
    Multi-Vendor Store
    Ring ERP
    Inventory & Stock
    Vendor Management
    Commissions & Settlements
    Referral Codes (Refcodes)
    Payment Integration
    PaymentConductor
    WayForPay Payment Integration
    News Module - Digital Newspaper Experience
    Member Blogs
    Scientific Editor
    Locale System
    Security & Compliance
    NFT Marketplace
    Token Staking System
    Performance Optimization Patterns
    Mobile Experience
    Admin API
    Whitelabel Navigation
    Best Practices
    Workflow
    Code Style
    Performance
    Testing
    Deployment
    Debugging
    Contributing
    Api Examples
    ringdom.org — LegioX homebase
    Source — MIT license (GitHub)
    Proxy and internationalization
    Real Time
    Security
    Multi-Vendor Store
    Ring ERP
    Inventory & Stock
    Vendor Management
    Commissions & Settlements
    Referral Codes (Refcodes)
    Payment Integration
    PaymentConductor
    WayForPay Payment Integration
    News Module - Digital Newspaper Experience
    Member Blogs
    Scientific Editor
    Locale System
    Security & Compliance
    NFT Marketplace
    Token Staking System
    Performance Optimization Patterns
    Mobile Experience
    Admin API
    Whitelabel Navigation
    Best Practices
    Workflow
    Code Style
    Performance
    Testing
    Deployment
    Debugging
    Contributing
    Api Examples
    ringdom.org — LegioX homebase
    Source — MIT license (GitHub)
    Back
    Back
    Back